fkjj.net
当前位置:首页 >> youComplEtEmE python >>

youComplEtEmE python

1.安装jedi-vim 在.vimrc中添加: Bundle 'davidhalter/jedi-vim' 然后进入vim运行BundleInstall 2.安装jedi模块 sudo pip install jedi 安装完成.

完全可以啊,文档上面写的很清楚.

要安装YouCompleteMe ,vim须支持python.看是否支持,可以在vim中:version 查看, 如果python前有+号,就是支持,减号就是不支持

你可能不想(或至少不应该) code> python3 作为vim的默认python解释器,因为你的插件的一些(大部分)将变得不兼容,例如 YouCompleteMe 和 clang_complete 本身,因为他们没有 python3 支持.通常,支持 python3 的插件可以让您决定

你用源里的gvim,貌似默认就开了python支持

YCM不提供除了C系和Python的Goto definition 用ctags吧. 或者省事找个IDE vimrc 中添加上 nnoremap jd :YcmCompleter GoToDefinitionElseDeclaration c/c++ 管用,不知道对PHP对否生效. 如果我的回答没帮助到您,请继续追问.

ycm不提供除了c系和python的goto definition用ctags吧.或者省事找个idevimrc 中添加上nnoremap jd :ycmcompleter gotodefinitionelsedeclarationc/c++ 管用,不知道对php对否生效.如果我的回答没帮助到您,请继续追问.

Vim是个编辑器, 好好的用它来编辑就成了, 不需要IDE.

要安装YouCompleteMe ,vim须支持python.看是否支持,可以在vim中:version 查看, 如果python前有+号,就是支持,减号就是不支持

ycm这里查不到php的completer,有这么几种措施:1. 给YCM指定一个外部completer,也就是一个vim插件,比如phpcomplete:autocmd FileType php setlocal omnifunc=phpcomplete#Complete类似地,你可以用javacomplete2等插件来补全java,

相关文档
mcrm.net | 90858.net | qimiaodingzhi.net | krfs.net | gpfd.net | 网站首页 | 网站地图
All rights reserved Powered by www.fkjj.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com